petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscOptionsEList

Puts a list of option values that a single one may be selected from

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscOptionsEList_Private(PetscOptionItems *PetscOptionsObject,const char opt[],const char ltext[],const char man[],const char *const *list,PetscInt ntext,const char currentvalue[],PetscInt *value,PetscBool  *set)

Logically Collective on the communicator passed in PetscOptionsBegin() Many br

### Input Parameters

| opt | - option name Many br
| ltext | - short string that describes the option Many br
| man | - manual page with additional information on option Many br
| list | - the possible choices (one of these must be selected, anything else is invalid) Many br
| ntext | - number of choices Many br
| currentvalue | - the current value; caller is responsible for setting this value correctly. Normally this is done with Many br

                    PetscOptionsElist(..., obj->value,&value,&flg);

                    if (flg) {

### Output Parameter

| value | - the index of the value to return Many br
| set | - PETSC_TRUE if found, else PETSC_FALSE Many br

Many br

Notes: Must be between a PetscOptionsBegin() and a PetscOptionsEnd() Many br

See PetscOptionsFList() for when the choices are given in a PetscFunctionList() Many br

### See Also

PetscOptionsGetInt(NULL,), PetscOptionsGetReal(),
PetscOptionsHasName(), PetscOptionsGetIntArray(), PetscOptionsGetRealArray(), PetscOptionsBool(), Many brPetscOptionsName(), PetscOptionsBegin(), PetscOptionsEnd(), PetscOptionsHead(), Many brPetscOptionsStringArray(),PetscOptionsRealArray(), PetscOptionsScalar(), Many brPetscOptionsBoolGroupBegin(), PetscOptionsBoolGroup(), PetscOptionsBoolGroupEnd(), Many brPetscOptionsFList(), PetscOptionsEnum() Many br

Level:intermediate
Location:src/sys/objects/aoptions.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html